Subject: Re: [Geopriv] 3825bis shepherd question

From: Bernard Aboba <[email-masked]>
Date: Fri, 3 Dec 2010 16:00:41 -0800

I am probably not the best person to explain the thinking here, since I wasn't present for much of the early discussion (and I don't find fault in your logic).  Perhaps someone else can explain the decision?

> CC: [email-masked]; [email-masked]; [email-masked]; [email-masked]
> From: [email-masked]
> Subject: Re: 3825bis shepherd question
> Date: Fri, 3 Dec 2010 14:20:25 -0500
> To: [email-masked]
> 
> Bernard - there is an implicit question: is there any advantage to reusing the existing code?  I don't see any advantage (except for option code convservation) and the backward-compatibility issues with reuse are significant.
> 
> - Ralph
> 
> 
> 
> On Dec 3, 2010, at 1:28 PM, Bernard Aboba <[email-masked]> wrote:
> 
> > The main question that Ralph has raised is the strategy for backward compatibility with RFC 3825.  
> > 
> > When I took on the editorship of the draft, it was my understanding that the GEOPRIV WG had made a decision on how to handle that,
> > and so I concentrated on attempting to explain the consequences of the approach (Section 2.2.1). 
> > 
> > I believe that an underlying assumption of the approach is that in many situations, only one version of the DHCPv4 option will be in use
> > at a given site, or that if more than version is deployed, that the clients supporting v0 versus v1 can be easily distinguished, such as by
> > subnet or the vendor OUI within the MAC address. 
> > 
> > As Ralph points out, in a site where both v0 and v1 clients are deployed, that the issues pointed out in Section 2.2.1 could become
> > cumbersome, and that allocating a separate option could avoid this.   The likelihood of this depends on the current and potential
> > future deployment of RFC 3825.  
> > 
> > 
> > > > From: Alissa Cooper <[email-masked]>
> > > > Date: December 3, 2010 12:27:08 PM GMT
> > > > To: Robert Sparks <[email-masked]>
> > > > Cc: Ralph Droms <[email-masked]>, Richard Barnes <[email-masked] 
> > > > >, Bernard Aboba <[email-masked]>
> > > > Subject: Re: 3825bis shepherd question
> > > >
> > > > I do not believe there was a further review from the DHC WG. But  
> > > > Richard is the shepherd and Bernard is the editor (both cc'ed here), 
> > > > so perhaps one of them can give you a definitive answer.
> > > >
> > > > Alissa
> > > >
> > > > On Dec 2, 2010, at 7:48 PM, Robert Sparks wrote:
> > > >
> > > >> Hi Alissa -
> > > >>
> > > >> Ralph asked during the call today about the level of review this 
> > > >> document
> > > >> has had from DHC. I see this in the proto writeup:
> > > >>
> > > >> ---
> > > >> I do not believe that this document requires any special review. It
> > > >> might benefit from a review by the DHC working group, but I do not
> > > >> view this as necessary, given that the focus of this document is
> > > >> clarifying the semantics of an existing DHCP option. The changes that
> > > >> it does make are mainly semantic; they do not change the wire format
> > > >> of the option. The most significant change is that it extends the
> > > >> current DHCPv4 option to DHCPv6, with essentially the same format.
> > > >> ---
> > > >>
> > > >> Was there any review after the writeup was submitted?
> > > >> Ralph noted that the wire format does actually change...
> > > >>
> > > >> Thanks,
> > > >> RjS
> >